

# Actions


The following actions are supported:
+  [CancelHarvestJob](API_CancelHarvestJob.md) 
+  [CreateChannel](API_CreateChannel.md) 
+  [CreateChannelGroup](API_CreateChannelGroup.md) 
+  [CreateHarvestJob](API_CreateHarvestJob.md) 
+  [CreateOriginEndpoint](API_CreateOriginEndpoint.md) 
+  [DeleteChannel](API_DeleteChannel.md) 
+  [DeleteChannelGroup](API_DeleteChannelGroup.md) 
+  [DeleteChannelPolicy](API_DeleteChannelPolicy.md) 
+  [DeleteOriginEndpoint](API_DeleteOriginEndpoint.md) 
+  [DeleteOriginEndpointPolicy](API_DeleteOriginEndpointPolicy.md) 
+  [GetChannel](API_GetChannel.md) 
+  [GetChannelGroup](API_GetChannelGroup.md) 
+  [GetChannelPolicy](API_GetChannelPolicy.md) 
+  [GetHarvestJob](API_GetHarvestJob.md) 
+  [GetOriginEndpoint](API_GetOriginEndpoint.md) 
+  [GetOriginEndpointPolicy](API_GetOriginEndpointPolicy.md) 
+  [ListChannelGroups](API_ListChannelGroups.md) 
+  [ListChannels](API_ListChannels.md) 
+  [ListHarvestJobs](API_ListHarvestJobs.md) 
+  [ListOriginEndpoints](API_ListOriginEndpoints.md) 
+  [ListTagsForResource](API_ListTagsForResource.md) 
+  [PutChannelPolicy](API_PutChannelPolicy.md) 
+  [PutOriginEndpointPolicy](API_PutOriginEndpointPolicy.md) 
+  [ResetChannelState](API_ResetChannelState.md) 
+  [ResetOriginEndpointState](API_ResetOriginEndpointState.md) 
+  [TagResource](API_TagResource.md) 
+  [UntagResource](API_UntagResource.md) 
+  [UpdateChannel](API_UpdateChannel.md) 
+  [UpdateChannelGroup](API_UpdateChannelGroup.md) 
+  [UpdateOriginEndpoint](API_UpdateOriginEndpoint.md) 

# CancelHarvestJob


Cancels an in-progress harvest job.

## Request Syntax


```
PUT /channelGroup/ChannelGroupName/channel/ChannelName/originEndpoint/OriginEndpointName/harvestJob/HarvestJobName HTTP/1.1
x-amzn-update-if-match: ETag
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ChannelGroupName](#API_CancelHarvestJob_RequestSyntax) **   <a name="mediapackage-CancelHarvestJob-request-uri-ChannelGroupName"></a>
The name of the channel group containing the channel from which the harvest job is running.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ChannelName](#API_CancelHarvestJob_RequestSyntax) **   <a name="mediapackage-CancelHarvestJob-request-uri-ChannelName"></a>
The name of the channel from which the harvest job is running.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ETag](#API_CancelHarvestJob_RequestSyntax) **   <a name="mediapackage-CancelHarvestJob-request-ETag"></a>
The current Entity Tag (ETag) associated with the harvest job. Used for concurrency control.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[\S]+` 

 ** [HarvestJobName](#API_CancelHarvestJob_RequestSyntax) **   <a name="mediapackage-CancelHarvestJob-request-uri-HarvestJobName"></a>
The name of the harvest job to cancel. This name must be unique within the channel and cannot be changed after the harvest job is submitted.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [OriginEndpointName](#API_CancelHarvestJob_RequestSyntax) **   <a name="mediapackage-CancelHarvestJob-request-uri-OriginEndpointName"></a>
The name of the origin endpoint that the harvest job is harvesting from. This cannot be changed after the harvest job is submitted.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied because either you don't have permissions to perform the requested operation or MediaPackage is getting throttling errors with CDN authorization. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access Management in the IAM User Guide. Or, if you're using CDN authorization, you will receive this exception if MediaPackage receives a throttling error from Secrets Manager.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting this resource can cause an inconsistent state.    
 ** ConflictExceptionType **   
The type of ConflictException.
HTTP Status Code: 409

 ** InternalServerException **   
Indicates that an error from the service occurred while trying to process a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource doesn't exist.    
 ** ResourceTypeNotFound **   
The specified resource type wasn't found.
HTTP Status Code: 404

 ** ThrottlingException **   
The request throughput limit was exceeded.  
HTTP Status Code: 429

 ** ValidationException **   
The input failed to meet the constraints specified by the AWS service.    
 ** ValidationExceptionType **   
The type of ValidationException.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediapackagev2-2022-12-25/CancelHarvestJob) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediapackagev2-2022-12-25/CancelHarvestJob) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediapackagev2-2022-12-25/CancelHarvestJob) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediapackagev2-2022-12-25/CancelHarvestJob) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediapackagev2-2022-12-25/CancelHarvestJob) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediapackagev2-2022-12-25/CancelHarvestJob) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediapackagev2-2022-12-25/CancelHarvestJob) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediapackagev2-2022-12-25/CancelHarvestJob) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediapackagev2-2022-12-25/CancelHarvestJob) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediapackagev2-2022-12-25/CancelHarvestJob) 

# CreateChannel


Create a channel to start receiving content streams. The channel represents the input to MediaPackage for incoming live content from an encoder such as AWS Elemental MediaLive. The channel receives content, and after packaging it, outputs it through an origin endpoint to downstream devices (such as video players or CDNs) that request the content. You can create only one channel with each request. We recommend that you spread out channels between channel groups, such as putting redundant channels in the same AWS Region in different channel groups.

## Request Syntax


```
POST /channelGroup/ChannelGroupName/channel HTTP/1.1
x-amzn-client-token: ClientToken
Content-type: application/json

{
   "ChannelName": "string",
   "Description": "string",
   "InputSwitchConfiguration": { 
      "MQCSInputSwitching": boolean,
      "PreferredInput": number
   },
   "InputType": "string",
   "OutputHeaderConfiguration": { 
      "PublishMQCS": boolean
   },
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ChannelGroupName](#API_CreateChannel_RequestSyntax) **   <a name="mediapackage-CreateChannel-request-uri-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ClientToken](#API_CreateChannel_RequestSyntax) **   <a name="mediapackage-CreateChannel-request-ClientToken"></a>
A unique, case-sensitive token that you provide to ensure the idempotency of the request.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[\S]+` 

## Request Body


The request accepts the following data in JSON format.

 ** [ChannelName](#API_CreateChannel_RequestSyntax) **   <a name="mediapackage-CreateChannel-request-ChannelName"></a>
The name that describes the channel. The name is the primary identifier for the channel, and must be unique for your account in the AWS Region and channel group. You can't change the name after you create the channel.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [Description](#API_CreateChannel_RequestSyntax) **   <a name="mediapackage-CreateChannel-request-Description"></a>
Enter any descriptive text that helps you to identify the channel.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Required: No

 ** [InputSwitchConfiguration](#API_CreateChannel_RequestSyntax) **   <a name="mediapackage-CreateChannel-request-InputSwitchConfiguration"></a>
The configuration for input switching based on the media quality confidence score (MQCS) as provided from AWS Elemental MediaLive. This setting is valid only when `InputType` is `CMAF`.  
Type: [InputSwitchConfiguration](API_InputSwitchConfiguration.md) object  
Required: No

 ** [InputType](#API_CreateChannel_RequestSyntax) **   <a name="mediapackage-CreateChannel-request-InputType"></a>
The input type will be an immutable field which will be used to define whether the channel will allow CMAF ingest or HLS ingest. If unprovided, it will default to HLS to preserve current behavior.  
The allowed values are:  
+  `HLS` - The HLS streaming specification (which defines M3U8 manifests and TS segments).
+  `CMAF` - The DASH-IF CMAF Ingest specification (which defines CMAF segments with optional DASH manifests).
Type: String  
Valid Values: `HLS | CMAF`   
Required: No

 ** [OutputHeaderConfiguration](#API_CreateChannel_RequestSyntax) **   <a name="mediapackage-CreateChannel-request-OutputHeaderConfiguration"></a>
The settings for what common media server data (CMSD) headers AWS Elemental MediaPackage includes in responses to the CDN. This setting is valid only when `InputType` is `CMAF`.  
Type: [OutputHeaderConfiguration](API_OutputHeaderConfiguration.md) object  
Required: No

 ** [tags](#API_CreateChannel_RequestSyntax) **   <a name="mediapackage-CreateChannel-request-tags"></a>
A comma-separated list of tag key:value pairs that you define. For example:  
 `"Key1": "Value1",`   
 `"Key2": "Value2"`   
Type: String to string map  
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "Arn": "string",
   "ChannelGroupName": "string",
   "ChannelName": "string",
   "CreatedAt": number,
   "Description": "string",
   "ETag": "string",
   "IngestEndpoints": [ 
      { 
         "Id": "string",
         "Url": "string"
      }
   ],
   "InputSwitchConfiguration": { 
      "MQCSInputSwitching": boolean,
      "PreferredInput": number
   },
   "InputType": "string",
   "ModifiedAt": number,
   "OutputHeaderConfiguration": { 
      "PublishMQCS": boolean
   },
   "Tags": { 
      "string" : "string" 
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Arn](#API_CreateChannel_ResponseSyntax) **   <a name="mediapackage-CreateChannel-response-Arn"></a>
The Amazon Resource Name (ARN) associated with the resource.  
Type: String

 ** [ChannelGroupName](#API_CreateChannel_ResponseSyntax) **   <a name="mediapackage-CreateChannel-response-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Type: String

 ** [ChannelName](#API_CreateChannel_ResponseSyntax) **   <a name="mediapackage-CreateChannel-response-ChannelName"></a>
The name that describes the channel. The name is the primary identifier for the channel, and must be unique for your account in the AWS Region and channel group.  
Type: String

 ** [CreatedAt](#API_CreateChannel_ResponseSyntax) **   <a name="mediapackage-CreateChannel-response-CreatedAt"></a>
The date and time the channel was created.  
Type: Timestamp

 ** [Description](#API_CreateChannel_ResponseSyntax) **   <a name="mediapackage-CreateChannel-response-Description"></a>
The description for your channel.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.

 ** [ETag](#API_CreateChannel_ResponseSyntax) **   <a name="mediapackage-CreateChannel-response-ETag"></a>
The current Entity Tag (ETag) associated with this resource. The entity tag can be used to safely make concurrent updates to the resource.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[\S]+` 

 ** [IngestEndpoints](#API_CreateChannel_ResponseSyntax) **   <a name="mediapackage-CreateChannel-response-IngestEndpoints"></a>
The list of ingest endpoints.  
Type: Array of [IngestEndpoint](API_IngestEndpoint.md) objects

 ** [InputSwitchConfiguration](#API_CreateChannel_ResponseSyntax) **   <a name="mediapackage-CreateChannel-response-InputSwitchConfiguration"></a>
The configuration for input switching based on the media quality confidence score (MQCS) as provided from AWS Elemental MediaLive. This setting is valid only when `InputType` is `CMAF`.  
Type: [InputSwitchConfiguration](API_InputSwitchConfiguration.md) object

 ** [InputType](#API_CreateChannel_ResponseSyntax) **   <a name="mediapackage-CreateChannel-response-InputType"></a>
The input type will be an immutable field which will be used to define whether the channel will allow CMAF ingest or HLS ingest. If unprovided, it will default to HLS to preserve current behavior.  
The allowed values are:  
+  `HLS` - The HLS streaming specification (which defines M3U8 manifests and TS segments).
+  `CMAF` - The DASH-IF CMAF Ingest specification (which defines CMAF segments with optional DASH manifests).
Type: String  
Valid Values: `HLS | CMAF` 

 ** [ModifiedAt](#API_CreateChannel_ResponseSyntax) **   <a name="mediapackage-CreateChannel-response-ModifiedAt"></a>
The date and time the channel was modified.  
Type: Timestamp

 ** [OutputHeaderConfiguration](#API_CreateChannel_ResponseSyntax) **   <a name="mediapackage-CreateChannel-response-OutputHeaderConfiguration"></a>
The settings for what common media server data (CMSD) headers AWS Elemental MediaPackage includes in responses to the CDN. This setting is valid only when `InputType` is `CMAF`.  
Type: [OutputHeaderConfiguration](API_OutputHeaderConfiguration.md) object

 ** [Tags](#API_CreateChannel_ResponseSyntax) **   <a name="mediapackage-CreateChannel-response-Tags"></a>
The comma-separated list of tag key:value pairs assigned to the channel.  
Type: String to string map

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied because either you don't have permissions to perform the requested operation or MediaPackage is getting throttling errors with CDN authorization. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access Management in the IAM User Guide. Or, if you're using CDN authorization, you will receive this exception if MediaPackage receives a throttling error from Secrets Manager.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting this resource can cause an inconsistent state.    
 ** ConflictExceptionType **   
The type of ConflictException.
HTTP Status Code: 409

 ** InternalServerException **   
Indicates that an error from the service occurred while trying to process a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource doesn't exist.    
 ** ResourceTypeNotFound **   
The specified resource type wasn't found.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request would cause a service quota to be exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request throughput limit was exceeded.  
HTTP Status Code: 429

 ** ValidationException **   
The input failed to meet the constraints specified by the AWS service.    
 ** ValidationExceptionType **   
The type of ValidationException.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediapackagev2-2022-12-25/CreateChannel) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediapackagev2-2022-12-25/CreateChannel) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediapackagev2-2022-12-25/CreateChannel) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediapackagev2-2022-12-25/CreateChannel) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediapackagev2-2022-12-25/CreateChannel) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediapackagev2-2022-12-25/CreateChannel) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediapackagev2-2022-12-25/CreateChannel) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediapackagev2-2022-12-25/CreateChannel) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediapackagev2-2022-12-25/CreateChannel) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediapackagev2-2022-12-25/CreateChannel) 

# CreateChannelGroup


Create a channel group to group your channels and origin endpoints. A channel group is the top-level resource that consists of channels and origin endpoints that are associated with it and that provides predictable URLs for stream delivery. All channels and origin endpoints within the channel group are guaranteed to share the DNS. You can create only one channel group with each request. 

## Request Syntax


```
POST /channelGroup HTTP/1.1
x-amzn-client-token: ClientToken
Content-type: application/json

{
   "ChannelGroupName": "string",
   "Description": "string",
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ClientToken](#API_CreateChannelGroup_RequestSyntax) **   <a name="mediapackage-CreateChannelGroup-request-ClientToken"></a>
A unique, case-sensitive token that you provide to ensure the idempotency of the request.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[\S]+` 

## Request Body


The request accepts the following data in JSON format.

 ** [ChannelGroupName](#API_CreateChannelGroup_RequestSyntax) **   <a name="mediapackage-CreateChannelGroup-request-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region. You can't use spaces in the name. You can't change the name after you create the channel group.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [Description](#API_CreateChannelGroup_RequestSyntax) **   <a name="mediapackage-CreateChannelGroup-request-Description"></a>
Enter any descriptive text that helps you to identify the channel group.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Required: No

 ** [tags](#API_CreateChannelGroup_RequestSyntax) **   <a name="mediapackage-CreateChannelGroup-request-tags"></a>
A comma-separated list of tag key:value pairs that you define. For example:  
 `"Key1": "Value1",`   
 `"Key2": "Value2"`   
Type: String to string map  
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "Arn": "string",
   "ChannelGroupName": "string",
   "CreatedAt": number,
   "Description": "string",
   "EgressDomain": "string",
   "ETag": "string",
   "ModifiedAt": number,
   "Tags": { 
      "string" : "string" 
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Arn](#API_CreateChannelGroup_ResponseSyntax) **   <a name="mediapackage-CreateChannelGroup-response-Arn"></a>
The Amazon Resource Name (ARN) associated with the resource.  
Type: String

 ** [ChannelGroupName](#API_CreateChannelGroup_ResponseSyntax) **   <a name="mediapackage-CreateChannelGroup-response-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Type: String

 ** [CreatedAt](#API_CreateChannelGroup_ResponseSyntax) **   <a name="mediapackage-CreateChannelGroup-response-CreatedAt"></a>
The date and time the channel group was created.  
Type: Timestamp

 ** [Description](#API_CreateChannelGroup_ResponseSyntax) **   <a name="mediapackage-CreateChannelGroup-response-Description"></a>
The description for your channel group.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.

 ** [EgressDomain](#API_CreateChannelGroup_ResponseSyntax) **   <a name="mediapackage-CreateChannelGroup-response-EgressDomain"></a>
The output domain where the source stream should be sent. Integrate the egress domain with a downstream CDN (such as Amazon CloudFront) or playback device.  
Type: String

 ** [ETag](#API_CreateChannelGroup_ResponseSyntax) **   <a name="mediapackage-CreateChannelGroup-response-ETag"></a>
The current Entity Tag (ETag) associated with this resource. The entity tag can be used to safely make concurrent updates to the resource.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[\S]+` 

 ** [ModifiedAt](#API_CreateChannelGroup_ResponseSyntax) **   <a name="mediapackage-CreateChannelGroup-response-ModifiedAt"></a>
The date and time the channel group was modified.  
Type: Timestamp

 ** [Tags](#API_CreateChannelGroup_ResponseSyntax) **   <a name="mediapackage-CreateChannelGroup-response-Tags"></a>
The comma-separated list of tag key:value pairs assigned to the channel group.  
Type: String to string map

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied because either you don't have permissions to perform the requested operation or MediaPackage is getting throttling errors with CDN authorization. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access Management in the IAM User Guide. Or, if you're using CDN authorization, you will receive this exception if MediaPackage receives a throttling error from Secrets Manager.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting this resource can cause an inconsistent state.    
 ** ConflictExceptionType **   
The type of ConflictException.
HTTP Status Code: 409

 ** InternalServerException **   
Indicates that an error from the service occurred while trying to process a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource doesn't exist.    
 ** ResourceTypeNotFound **   
The specified resource type wasn't found.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request would cause a service quota to be exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request throughput limit was exceeded.  
HTTP Status Code: 429

 ** ValidationException **   
The input failed to meet the constraints specified by the AWS service.    
 ** ValidationExceptionType **   
The type of ValidationException.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediapackagev2-2022-12-25/CreateChannelGroup) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediapackagev2-2022-12-25/CreateChannelGroup) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediapackagev2-2022-12-25/CreateChannelGroup) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediapackagev2-2022-12-25/CreateChannelGroup) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediapackagev2-2022-12-25/CreateChannelGroup) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediapackagev2-2022-12-25/CreateChannelGroup) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediapackagev2-2022-12-25/CreateChannelGroup) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediapackagev2-2022-12-25/CreateChannelGroup) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediapackagev2-2022-12-25/CreateChannelGroup) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediapackagev2-2022-12-25/CreateChannelGroup) 

# CreateHarvestJob


Creates a new harvest job to export content from a MediaPackage v2 channel to an S3 bucket.

## Request Syntax


```
POST /channelGroup/ChannelGroupName/channel/ChannelName/originEndpoint/OriginEndpointName/harvestJob HTTP/1.1
x-amzn-client-token: ClientToken
Content-type: application/json

{
   "Description": "string",
   "Destination": { 
      "S3Destination": { 
         "BucketName": "string",
         "DestinationPath": "string"
      }
   },
   "HarvestedManifests": { 
      "DashManifests": [ 
         { 
            "ManifestName": "string"
         }
      ],
      "HlsManifests": [ 
         { 
            "ManifestName": "string"
         }
      ],
      "LowLatencyHlsManifests": [ 
         { 
            "ManifestName": "string"
         }
      ]
   },
   "HarvestJobName": "string",
   "ScheduleConfiguration": { 
      "EndTime": number,
      "StartTime": number
   },
   "Tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ChannelGroupName](#API_CreateHarvestJob_RequestSyntax) **   <a name="mediapackage-CreateHarvestJob-request-uri-ChannelGroupName"></a>
The name of the channel group containing the channel from which to harvest content.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ChannelName](#API_CreateHarvestJob_RequestSyntax) **   <a name="mediapackage-CreateHarvestJob-request-uri-ChannelName"></a>
The name of the channel from which to harvest content.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ClientToken](#API_CreateHarvestJob_RequestSyntax) **   <a name="mediapackage-CreateHarvestJob-request-ClientToken"></a>
A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[\S]+` 

 ** [OriginEndpointName](#API_CreateHarvestJob_RequestSyntax) **   <a name="mediapackage-CreateHarvestJob-request-uri-OriginEndpointName"></a>
The name of the origin endpoint from which to harvest content.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

## Request Body


The request accepts the following data in JSON format.

 ** [Description](#API_CreateHarvestJob_RequestSyntax) **   <a name="mediapackage-CreateHarvestJob-request-Description"></a>
An optional description for the harvest job.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Required: No

 ** [Destination](#API_CreateHarvestJob_RequestSyntax) **   <a name="mediapackage-CreateHarvestJob-request-Destination"></a>
The S3 destination where the harvested content will be placed.  
Type: [Destination](API_Destination.md) object  
Required: Yes

 ** [HarvestedManifests](#API_CreateHarvestJob_RequestSyntax) **   <a name="mediapackage-CreateHarvestJob-request-HarvestedManifests"></a>
A list of manifests to be harvested.  
Type: [HarvestedManifests](API_HarvestedManifests.md) object  
Required: Yes

 ** [HarvestJobName](#API_CreateHarvestJob_RequestSyntax) **   <a name="mediapackage-CreateHarvestJob-request-HarvestJobName"></a>
A name for the harvest job. This name must be unique within the channel.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: No

 ** [ScheduleConfiguration](#API_CreateHarvestJob_RequestSyntax) **   <a name="mediapackage-CreateHarvestJob-request-ScheduleConfiguration"></a>
The configuration for when the harvest job should run, including start and end times.  
Type: [HarvesterScheduleConfiguration](API_HarvesterScheduleConfiguration.md) object  
Required: Yes

 ** [Tags](#API_CreateHarvestJob_RequestSyntax) **   <a name="mediapackage-CreateHarvestJob-request-Tags"></a>
A collection of tags associated with the harvest job.  
Type: String to string map  
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "Arn": "string",
   "ChannelGroupName": "string",
   "ChannelName": "string",
   "CreatedAt": number,
   "Description": "string",
   "Destination": { 
      "S3Destination": { 
         "BucketName": "string",
         "DestinationPath": "string"
      }
   },
   "ErrorMessage": "string",
   "ETag": "string",
   "HarvestedManifests": { 
      "DashManifests": [ 
         { 
            "ManifestName": "string"
         }
      ],
      "HlsManifests": [ 
         { 
            "ManifestName": "string"
         }
      ],
      "LowLatencyHlsManifests": [ 
         { 
            "ManifestName": "string"
         }
      ]
   },
   "HarvestJobName": "string",
   "ModifiedAt": number,
   "OriginEndpointName": "string",
   "ScheduleConfiguration": { 
      "EndTime": number,
      "StartTime": number
   },
   "Status": "string",
   "Tags": { 
      "string" : "string" 
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Arn](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-Arn"></a>
The Amazon Resource Name (ARN) of the created harvest job.  
Type: String

 ** [ChannelGroupName](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-ChannelGroupName"></a>
The name of the channel group containing the channel from which content is being harvested.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+` 

 ** [ChannelName](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-ChannelName"></a>
The name of the channel from which content is being harvested.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+` 

 ** [CreatedAt](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-CreatedAt"></a>
The date and time the harvest job was created.  
Type: Timestamp

 ** [Description](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-Description"></a>
The description of the harvest job, if provided.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.

 ** [Destination](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-Destination"></a>
The S3 destination where the harvested content will be placed.  
Type: [Destination](API_Destination.md) object

 ** [ErrorMessage](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-ErrorMessage"></a>
An error message if the harvest job creation failed.  
Type: String

 ** [ETag](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-ETag"></a>
The current version of the harvest job. Used for concurrency control.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[\S]+` 

 ** [HarvestedManifests](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-HarvestedManifests"></a>
A list of manifests that will be harvested.  
Type: [HarvestedManifests](API_HarvestedManifests.md) object

 ** [HarvestJobName](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-HarvestJobName"></a>
The name of the created harvest job.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+` 

 ** [ModifiedAt](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-ModifiedAt"></a>
The date and time the harvest job was last modified.  
Type: Timestamp

 ** [OriginEndpointName](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-OriginEndpointName"></a>
The name of the origin endpoint from which content is being harvested.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+` 

 ** [ScheduleConfiguration](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-ScheduleConfiguration"></a>
The configuration for when the harvest job will run, including start and end times.  
Type: [HarvesterScheduleConfiguration](API_HarvesterScheduleConfiguration.md) object

 ** [Status](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-Status"></a>
The current status of the harvest job (e.g., CREATED, IN\$1PROGRESS, ABORTED, COMPLETED, FAILED).  
Type: String  
Valid Values: `QUEUED | IN_PROGRESS | CANCELLED | COMPLETED | FAILED` 

 ** [Tags](#API_CreateHarvestJob_ResponseSyntax) **   <a name="mediapackage-CreateHarvestJob-response-Tags"></a>
A collection of tags associated with the harvest job.  
Type: String to string map

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied because either you don't have permissions to perform the requested operation or MediaPackage is getting throttling errors with CDN authorization. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access Management in the IAM User Guide. Or, if you're using CDN authorization, you will receive this exception if MediaPackage receives a throttling error from Secrets Manager.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting this resource can cause an inconsistent state.    
 ** ConflictExceptionType **   
The type of ConflictException.
HTTP Status Code: 409

 ** InternalServerException **   
Indicates that an error from the service occurred while trying to process a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource doesn't exist.    
 ** ResourceTypeNotFound **   
The specified resource type wasn't found.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request would cause a service quota to be exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request throughput limit was exceeded.  
HTTP Status Code: 429

 ** ValidationException **   
The input failed to meet the constraints specified by the AWS service.    
 ** ValidationExceptionType **   
The type of ValidationException.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediapackagev2-2022-12-25/CreateHarvestJob) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediapackagev2-2022-12-25/CreateHarvestJob) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediapackagev2-2022-12-25/CreateHarvestJob) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediapackagev2-2022-12-25/CreateHarvestJob) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediapackagev2-2022-12-25/CreateHarvestJob) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediapackagev2-2022-12-25/CreateHarvestJob) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediapackagev2-2022-12-25/CreateHarvestJob) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediapackagev2-2022-12-25/CreateHarvestJob) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediapackagev2-2022-12-25/CreateHarvestJob) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediapackagev2-2022-12-25/CreateHarvestJob) 

# CreateOriginEndpoint


The endpoint is attached to a channel, and represents the output of the live content. You can associate multiple endpoints to a single channel. Each endpoint gives players and downstream CDNs (such as Amazon CloudFront) access to the content for playback. Content can't be served from a channel until it has an endpoint. You can create only one endpoint with each request. 

## Request Syntax


```
POST /channelGroup/ChannelGroupName/channel/ChannelName/originEndpoint HTTP/1.1
x-amzn-client-token: ClientToken
Content-type: application/json

{
   "ContainerType": "string",
   "DashManifests": [ 
      { 
         "BaseUrls": [ 
            { 
               "DvbPriority": number,
               "DvbWeight": number,
               "ServiceLocation": "string",
               "Url": "string"
            }
         ],
         "Compactness": "string",
         "DrmSignaling": "string",
         "DvbSettings": { 
            "ErrorMetrics": [ 
               { 
                  "Probability": number,
                  "ReportingUrl": "string"
               }
            ],
            "FontDownload": { 
               "FontFamily": "string",
               "MimeType": "string",
               "Url": "string"
            }
         },
         "FilterConfiguration": { 
            "ClipStartTime": number,
            "DrmSettings": "string",
            "End": number,
            "ManifestFilter": "string",
            "Start": number,
            "TimeDelaySeconds": number
         },
         "ManifestName": "string",
         "ManifestWindowSeconds": number,
         "MinBufferTimeSeconds": number,
         "MinUpdatePeriodSeconds": number,
         "PeriodTriggers": [ "string" ],
         "Profiles": [ "string" ],
         "ProgramInformation": { 
            "Copyright": "string",
            "LanguageCode": "string",
            "MoreInformationUrl": "string",
            "Source": "string",
            "Title": "string"
         },
         "ScteDash": { 
            "AdMarkerDash": "string"
         },
         "SegmentTemplateFormat": "string",
         "SubtitleConfiguration": { 
            "TtmlConfiguration": { 
               "TtmlProfile": "string"
            }
         },
         "SuggestedPresentationDelaySeconds": number,
         "UtcTiming": { 
            "TimingMode": "string",
            "TimingSource": "string"
         }
      }
   ],
   "Description": "string",
   "ForceEndpointErrorConfiguration": { 
      "EndpointErrorConditions": [ "string" ]
   },
   "HlsManifests": [ 
      { 
         "ChildManifestName": "string",
         "FilterConfiguration": { 
            "ClipStartTime": number,
            "DrmSettings": "string",
            "End": number,
            "ManifestFilter": "string",
            "Start": number,
            "TimeDelaySeconds": number
         },
         "ManifestName": "string",
         "ManifestWindowSeconds": number,
         "ProgramDateTimeIntervalSeconds": number,
         "ScteHls": { 
            "AdMarkerHls": "string"
         },
         "StartTag": { 
            "Precise": boolean,
            "TimeOffset": number
         },
         "UrlEncodeChildManifest": boolean
      }
   ],
   "LowLatencyHlsManifests": [ 
      { 
         "ChildManifestName": "string",
         "FilterConfiguration": { 
            "ClipStartTime": number,
            "DrmSettings": "string",
            "End": number,
            "ManifestFilter": "string",
            "Start": number,
            "TimeDelaySeconds": number
         },
         "ManifestName": "string",
         "ManifestWindowSeconds": number,
         "ProgramDateTimeIntervalSeconds": number,
         "ScteHls": { 
            "AdMarkerHls": "string"
         },
         "StartTag": { 
            "Precise": boolean,
            "TimeOffset": number
         },
         "UrlEncodeChildManifest": boolean
      }
   ],
   "MssManifests": [ 
      { 
         "FilterConfiguration": { 
            "ClipStartTime": number,
            "DrmSettings": "string",
            "End": number,
            "ManifestFilter": "string",
            "Start": number,
            "TimeDelaySeconds": number
         },
         "ManifestLayout": "string",
         "ManifestName": "string",
         "ManifestWindowSeconds": number
      }
   ],
   "OriginEndpointName": "string",
   "Segment": { 
      "Encryption": { 
         "CmafExcludeSegmentDrmMetadata": boolean,
         "ConstantInitializationVector": "string",
         "EncryptionMethod": { 
            "CmafEncryptionMethod": "string",
            "IsmEncryptionMethod": "string",
            "TsEncryptionMethod": "string"
         },
         "KeyRotationIntervalSeconds": number,
         "SpekeKeyProvider": { 
            "CertificateArn": "string",
            "DrmSystems": [ "string" ],
            "EncryptionContractConfiguration": { 
               "PresetSpeke20Audio": "string",
               "PresetSpeke20Video": "string"
            },
            "ResourceId": "string",
            "RoleArn": "string",
            "Url": "string"
         }
      },
      "IncludeIframeOnlyStreams": boolean,
      "Scte": { 
         "ScteFilter": [ "string" ],
         "ScteInSegments": "string"
      },
      "SegmentDurationSeconds": number,
      "SegmentName": "string",
      "TsIncludeDvbSubtitles": boolean,
      "TsUseAudioRenditionGroup": boolean
   },
   "StartoverWindowSeconds": number,
   "Tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ChannelGroupName](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-uri-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ChannelName](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-uri-ChannelName"></a>
The name that describes the channel. The name is the primary identifier for the channel, and must be unique for your account in the AWS Region and channel group.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ClientToken](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-ClientToken"></a>
A unique, case-sensitive token that you provide to ensure the idempotency of the request.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[\S]+` 

## Request Body


The request accepts the following data in JSON format.

 ** [ContainerType](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-ContainerType"></a>
The type of container to attach to this origin endpoint. A container type is a file format that encapsulates one or more media streams, such as audio and video, into a single file. You can't change the container type after you create the endpoint.  
Type: String  
Valid Values: `TS | CMAF | ISM`   
Required: Yes

 ** [DashManifests](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-DashManifests"></a>
A DASH manifest configuration.  
Type: Array of [CreateDashManifestConfiguration](API_CreateDashManifestConfiguration.md) objects  
Required: No

 ** [Description](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-Description"></a>
Enter any descriptive text that helps you to identify the origin endpoint.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Required: No

 ** [ForceEndpointErrorConfiguration](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-ForceEndpointErrorConfiguration"></a>
The failover settings for the endpoint.  
Type: [ForceEndpointErrorConfiguration](API_ForceEndpointErrorConfiguration.md) object  
Required: No

 ** [HlsManifests](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-HlsManifests"></a>
An HTTP live streaming (HLS) manifest configuration.  
Type: Array of [CreateHlsManifestConfiguration](API_CreateHlsManifestConfiguration.md) objects  
Required: No

 ** [LowLatencyHlsManifests](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-LowLatencyHlsManifests"></a>
A low-latency HLS manifest configuration.  
Type: Array of [CreateLowLatencyHlsManifestConfiguration](API_CreateLowLatencyHlsManifestConfiguration.md) objects  
Required: No

 ** [MssManifests](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-MssManifests"></a>
A list of Microsoft Smooth Streaming (MSS) manifest configurations for the origin endpoint. You can configure multiple MSS manifests to provide different streaming experiences or to support different client requirements.  
Type: Array of [CreateMssManifestConfiguration](API_CreateMssManifestConfiguration.md) objects  
Required: No

 ** [OriginEndpointName](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-OriginEndpointName"></a>
The name that describes the origin endpoint. The name is the primary identifier for the origin endpoint, and must be unique for your account in the AWS Region and channel. You can't use spaces in the name. You can't change the name after you create the endpoint.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [Segment](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-Segment"></a>
The segment configuration, including the segment name, duration, and other configuration values.  
Type: [Segment](API_Segment.md) object  
Required: No

 ** [StartoverWindowSeconds](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-StartoverWindowSeconds"></a>
The size of the window (in seconds) to create a window of the live stream that's available for on-demand viewing. Viewers can start-over or catch-up on content that falls within the window. The maximum startover window is 1,209,600 seconds (14 days).  
Type: Integer  
Valid Range: Minimum value of 60. Maximum value of 1209600.  
Required: No

 ** [Tags](#API_CreateOriginEndpoint_RequestSyntax) **   <a name="mediapackage-CreateOriginEndpoint-request-Tags"></a>
A comma-separated list of tag key:value pairs that you define. For example:  
 `"Key1": "Value1",`   
 `"Key2": "Value2"`   
Type: String to string map  
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "Arn": "string",
   "ChannelGroupName": "string",
   "ChannelName": "string",
   "ContainerType": "string",
   "CreatedAt": number,
   "DashManifests": [ 
      { 
         "BaseUrls": [ 
            { 
               "DvbPriority": number,
               "DvbWeight": number,
               "ServiceLocation": "string",
               "Url": "string"
            }
         ],
         "Compactness": "string",
         "DrmSignaling": "string",
         "DvbSettings": { 
            "ErrorMetrics": [ 
               { 
                  "Probability": number,
                  "ReportingUrl": "string"
               }
            ],
            "FontDownload": { 
               "FontFamily": "string",
               "MimeType": "string",
               "Url": "string"
            }
         },
         "FilterConfiguration": { 
            "ClipStartTime": number,
            "DrmSettings": "string",
            "End": number,
            "ManifestFilter": "string",
            "Start": number,
            "TimeDelaySeconds": number
         },
         "ManifestName": "string",
         "ManifestWindowSeconds": number,
         "MinBufferTimeSeconds": number,
         "MinUpdatePeriodSeconds": number,
         "PeriodTriggers": [ "string" ],
         "Profiles": [ "string" ],
         "ProgramInformation": { 
            "Copyright": "string",
            "LanguageCode": "string",
            "MoreInformationUrl": "string",
            "Source": "string",
            "Title": "string"
         },
         "ScteDash": { 
            "AdMarkerDash": "string"
         },
         "SegmentTemplateFormat": "string",
         "SubtitleConfiguration": { 
            "TtmlConfiguration": { 
               "TtmlProfile": "string"
            }
         },
         "SuggestedPresentationDelaySeconds": number,
         "Url": "string",
         "UtcTiming": { 
            "TimingMode": "string",
            "TimingSource": "string"
         }
      }
   ],
   "Description": "string",
   "ETag": "string",
   "ForceEndpointErrorConfiguration": { 
      "EndpointErrorConditions": [ "string" ]
   },
   "HlsManifests": [ 
      { 
         "ChildManifestName": "string",
         "FilterConfiguration": { 
            "ClipStartTime": number,
            "DrmSettings": "string",
            "End": number,
            "ManifestFilter": "string",
            "Start": number,
            "TimeDelaySeconds": number
         },
         "ManifestName": "string",
         "ManifestWindowSeconds": number,
         "ProgramDateTimeIntervalSeconds": number,
         "ScteHls": { 
            "AdMarkerHls": "string"
         },
         "StartTag": { 
            "Precise": boolean,
            "TimeOffset": number
         },
         "Url": "string",
         "UrlEncodeChildManifest": boolean
      }
   ],
   "LowLatencyHlsManifests": [ 
      { 
         "ChildManifestName": "string",
         "FilterConfiguration": { 
            "ClipStartTime": number,
            "DrmSettings": "string",
            "End": number,
            "ManifestFilter": "string",
            "Start": number,
            "TimeDelaySeconds": number
         },
         "ManifestName": "string",
         "ManifestWindowSeconds": number,
         "ProgramDateTimeIntervalSeconds": number,
         "ScteHls": { 
            "AdMarkerHls": "string"
         },
         "StartTag": { 
            "Precise": boolean,
            "TimeOffset": number
         },
         "Url": "string",
         "UrlEncodeChildManifest": boolean
      }
   ],
   "ModifiedAt": number,
   "MssManifests": [ 
      { 
         "FilterConfiguration": { 
            "ClipStartTime": number,
            "DrmSettings": "string",
            "End": number,
            "ManifestFilter": "string",
            "Start": number,
            "TimeDelaySeconds": number
         },
         "ManifestLayout": "string",
         "ManifestName": "string",
         "ManifestWindowSeconds": number,
         "Url": "string"
      }
   ],
   "OriginEndpointName": "string",
   "Segment": { 
      "Encryption": { 
         "CmafExcludeSegmentDrmMetadata": boolean,
         "ConstantInitializationVector": "string",
         "EncryptionMethod": { 
            "CmafEncryptionMethod": "string",
            "IsmEncryptionMethod": "string",
            "TsEncryptionMethod": "string"
         },
         "KeyRotationIntervalSeconds": number,
         "SpekeKeyProvider": { 
            "CertificateArn": "string",
            "DrmSystems": [ "string" ],
            "EncryptionContractConfiguration": { 
               "PresetSpeke20Audio": "string",
               "PresetSpeke20Video": "string"
            },
            "ResourceId": "string",
            "RoleArn": "string",
            "Url": "string"
         }
      },
      "IncludeIframeOnlyStreams": boolean,
      "Scte": { 
         "ScteFilter": [ "string" ],
         "ScteInSegments": "string"
      },
      "SegmentDurationSeconds": number,
      "SegmentName": "string",
      "TsIncludeDvbSubtitles": boolean,
      "TsUseAudioRenditionGroup": boolean
   },
   "StartoverWindowSeconds": number,
   "Tags": { 
      "string" : "string" 
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Arn](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-Arn"></a>
The Amazon Resource Name (ARN) associated with the resource.  
Type: String

 ** [ChannelGroupName](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+` 

 ** [ChannelName](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-ChannelName"></a>
The name that describes the channel. The name is the primary identifier for the channel, and must be unique for your account in the AWS Region and channel group.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+` 

 ** [ContainerType](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-ContainerType"></a>
The type of container attached to this origin endpoint.  
Type: String  
Valid Values: `TS | CMAF | ISM` 

 ** [CreatedAt](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-CreatedAt"></a>
The date and time the origin endpoint was created.  
Type: Timestamp

 ** [DashManifests](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-DashManifests"></a>
A DASH manifest configuration.  
Type: Array of [GetDashManifestConfiguration](API_GetDashManifestConfiguration.md) objects

 ** [Description](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-Description"></a>
The description for your origin endpoint.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.

 ** [ETag](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-ETag"></a>
The current Entity Tag (ETag) associated with this resource. The entity tag can be used to safely make concurrent updates to the resource.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[\S]+` 

 ** [ForceEndpointErrorConfiguration](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-ForceEndpointErrorConfiguration"></a>
The failover settings for the endpoint.  
Type: [ForceEndpointErrorConfiguration](API_ForceEndpointErrorConfiguration.md) object

 ** [HlsManifests](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-HlsManifests"></a>
An HTTP live streaming (HLS) manifest configuration.  
Type: Array of [GetHlsManifestConfiguration](API_GetHlsManifestConfiguration.md) objects

 ** [LowLatencyHlsManifests](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-LowLatencyHlsManifests"></a>
A low-latency HLS manifest configuration.  
Type: Array of [GetLowLatencyHlsManifestConfiguration](API_GetLowLatencyHlsManifestConfiguration.md) objects

 ** [ModifiedAt](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-ModifiedAt"></a>
The date and time the origin endpoint was modified.  
Type: Timestamp

 ** [MssManifests](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-MssManifests"></a>
The Microsoft Smooth Streaming (MSS) manifest configurations that were created for this origin endpoint.  
Type: Array of [GetMssManifestConfiguration](API_GetMssManifestConfiguration.md) objects

 ** [OriginEndpointName](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-OriginEndpointName"></a>
The name that describes the origin endpoint. The name is the primary identifier for the origin endpoint, and and must be unique for your account in the AWS Region and channel.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+` 

 ** [Segment](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-Segment"></a>
The segment configuration, including the segment name, duration, and other configuration values.  
Type: [Segment](API_Segment.md) object

 ** [StartoverWindowSeconds](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-StartoverWindowSeconds"></a>
The size of the window (in seconds) to create a window of the live stream that's available for on-demand viewing. Viewers can start-over or catch-up on content that falls within the window.  
Type: Integer

 ** [Tags](#API_CreateOriginEndpoint_ResponseSyntax) **   <a name="mediapackage-CreateOriginEndpoint-response-Tags"></a>
The comma-separated list of tag key:value pairs assigned to the origin endpoint.  
Type: String to string map

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied because either you don't have permissions to perform the requested operation or MediaPackage is getting throttling errors with CDN authorization. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access Management in the IAM User Guide. Or, if you're using CDN authorization, you will receive this exception if MediaPackage receives a throttling error from Secrets Manager.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting this resource can cause an inconsistent state.    
 ** ConflictExceptionType **   
The type of ConflictException.
HTTP Status Code: 409

 ** InternalServerException **   
Indicates that an error from the service occurred while trying to process a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource doesn't exist.    
 ** ResourceTypeNotFound **   
The specified resource type wasn't found.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request would cause a service quota to be exceeded.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request throughput limit was exceeded.  
HTTP Status Code: 429

 ** ValidationException **   
The input failed to meet the constraints specified by the AWS service.    
 ** ValidationExceptionType **   
The type of ValidationException.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediapackagev2-2022-12-25/CreateOriginEndpoint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediapackagev2-2022-12-25/CreateOriginEndpoint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediapackagev2-2022-12-25/CreateOriginEndpoint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediapackagev2-2022-12-25/CreateOriginEndpoint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediapackagev2-2022-12-25/CreateOriginEndpoint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediapackagev2-2022-12-25/CreateOriginEndpoint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediapackagev2-2022-12-25/CreateOriginEndpoint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediapackagev2-2022-12-25/CreateOriginEndpoint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediapackagev2-2022-12-25/CreateOriginEndpoint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediapackagev2-2022-12-25/CreateOriginEndpoint) 

# DeleteChannel


Delete a channel to stop AWS Elemental MediaPackage from receiving further content. You must delete the channel's origin endpoints before you can delete the channel.

## Request Syntax


```
DELETE /channelGroup/ChannelGroupName/channel/ChannelName/ HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ChannelGroupName](#API_DeleteChannel_RequestSyntax) **   <a name="mediapackage-DeleteChannel-request-uri-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ChannelName](#API_DeleteChannel_RequestSyntax) **   <a name="mediapackage-DeleteChannel-request-uri-ChannelName"></a>
The name that describes the channel. The name is the primary identifier for the channel, and must be unique for your account in the AWS Region and channel group.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied because either you don't have permissions to perform the requested operation or MediaPackage is getting throttling errors with CDN authorization. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access Management in the IAM User Guide. Or, if you're using CDN authorization, you will receive this exception if MediaPackage receives a throttling error from Secrets Manager.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting this resource can cause an inconsistent state.    
 ** ConflictExceptionType **   
The type of ConflictException.
HTTP Status Code: 409

 ** InternalServerException **   
Indicates that an error from the service occurred while trying to process a request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request throughput limit was exceeded.  
HTTP Status Code: 429

 ** ValidationException **   
The input failed to meet the constraints specified by the AWS service.    
 ** ValidationExceptionType **   
The type of ValidationException.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediapackagev2-2022-12-25/DeleteChannel) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediapackagev2-2022-12-25/DeleteChannel) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediapackagev2-2022-12-25/DeleteChannel) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediapackagev2-2022-12-25/DeleteChannel) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediapackagev2-2022-12-25/DeleteChannel) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediapackagev2-2022-12-25/DeleteChannel) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediapackagev2-2022-12-25/DeleteChannel) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediapackagev2-2022-12-25/DeleteChannel) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediapackagev2-2022-12-25/DeleteChannel) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediapackagev2-2022-12-25/DeleteChannel) 

# DeleteChannelGroup


Delete a channel group. You must delete the channel group's channels and origin endpoints before you can delete the channel group. If you delete a channel group, you'll lose access to the egress domain and will have to create a new channel group to replace it.

## Request Syntax


```
DELETE /channelGroup/ChannelGroupName HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ChannelGroupName](#API_DeleteChannelGroup_RequestSyntax) **   <a name="mediapackage-DeleteChannelGroup-request-uri-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied because either you don't have permissions to perform the requested operation or MediaPackage is getting throttling errors with CDN authorization. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access Management in the IAM User Guide. Or, if you're using CDN authorization, you will receive this exception if MediaPackage receives a throttling error from Secrets Manager.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting this resource can cause an inconsistent state.    
 ** ConflictExceptionType **   
The type of ConflictException.
HTTP Status Code: 409

 ** InternalServerException **   
Indicates that an error from the service occurred while trying to process a request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request throughput limit was exceeded.  
HTTP Status Code: 429

 ** ValidationException **   
The input failed to meet the constraints specified by the AWS service.    
 ** ValidationExceptionType **   
The type of ValidationException.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediapackagev2-2022-12-25/DeleteChannelGroup) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediapackagev2-2022-12-25/DeleteChannelGroup) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediapackagev2-2022-12-25/DeleteChannelGroup) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediapackagev2-2022-12-25/DeleteChannelGroup) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediapackagev2-2022-12-25/DeleteChannelGroup) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediapackagev2-2022-12-25/DeleteChannelGroup) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediapackagev2-2022-12-25/DeleteChannelGroup) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediapackagev2-2022-12-25/DeleteChannelGroup) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediapackagev2-2022-12-25/DeleteChannelGroup) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediapackagev2-2022-12-25/DeleteChannelGroup) 

# DeleteChannelPolicy


Delete a channel policy.

## Request Syntax


```
DELETE /channelGroup/ChannelGroupName/channel/ChannelName/policy HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ChannelGroupName](#API_DeleteChannelPolicy_RequestSyntax) **   <a name="mediapackage-DeleteChannelPolicy-request-uri-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ChannelName](#API_DeleteChannelPolicy_RequestSyntax) **   <a name="mediapackage-DeleteChannelPolicy-request-uri-ChannelName"></a>
The name that describes the channel. The name is the primary identifier for the channel, and must be unique for your account in the AWS Region and channel group.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied because either you don't have permissions to perform the requested operation or MediaPackage is getting throttling errors with CDN authorization. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access Management in the IAM User Guide. Or, if you're using CDN authorization, you will receive this exception if MediaPackage receives a throttling error from Secrets Manager.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting this resource can cause an inconsistent state.    
 ** ConflictExceptionType **   
The type of ConflictException.
HTTP Status Code: 409

 ** InternalServerException **   
Indicates that an error from the service occurred while trying to process a request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request throughput limit was exceeded.  
HTTP Status Code: 429

 ** ValidationException **   
The input failed to meet the constraints specified by the AWS service.    
 ** ValidationExceptionType **   
The type of ValidationException.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediapackagev2-2022-12-25/DeleteChannelPolicy) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediapackagev2-2022-12-25/DeleteChannelPolicy) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediapackagev2-2022-12-25/DeleteChannelPolicy) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediapackagev2-2022-12-25/DeleteChannelPolicy) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediapackagev2-2022-12-25/DeleteChannelPolicy) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediapackagev2-2022-12-25/DeleteChannelPolicy) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediapackagev2-2022-12-25/DeleteChannelPolicy) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediapackagev2-2022-12-25/DeleteChannelPolicy) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediapackagev2-2022-12-25/DeleteChannelPolicy) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediapackagev2-2022-12-25/DeleteChannelPolicy) 

# DeleteOriginEndpoint


Origin endpoints can serve content until they're deleted. Delete the endpoint if it should no longer respond to playback requests. You must delete all endpoints from a channel before you can delete the channel.

## Request Syntax


```
DELETE /channelGroup/ChannelGroupName/channel/ChannelName/originEndpoint/OriginEndpointName HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ChannelGroupName](#API_DeleteOriginEndpoint_RequestSyntax) **   <a name="mediapackage-DeleteOriginEndpoint-request-uri-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ChannelName](#API_DeleteOriginEndpoint_RequestSyntax) **   <a name="mediapackage-DeleteOriginEndpoint-request-uri-ChannelName"></a>
The name that describes the channel. The name is the primary identifier for the channel, and must be unique for your account in the AWS Region and channel group.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [OriginEndpointName](#API_DeleteOriginEndpoint_RequestSyntax) **   <a name="mediapackage-DeleteOriginEndpoint-request-uri-OriginEndpointName"></a>
The name that describes the origin endpoint. The name is the primary identifier for the origin endpoint, and and must be unique for your account in the AWS Region and channel.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied because either you don't have permissions to perform the requested operation or MediaPackage is getting throttling errors with CDN authorization. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access Management in the IAM User Guide. Or, if you're using CDN authorization, you will receive this exception if MediaPackage receives a throttling error from Secrets Manager.  
HTTP Status Code: 403

 ** InternalServerException **   
Indicates that an error from the service occurred while trying to process a request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request throughput limit was exceeded.  
HTTP Status Code: 429

 ** ValidationException **   
The input failed to meet the constraints specified by the AWS service.    
 ** ValidationExceptionType **   
The type of ValidationException.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediapackagev2-2022-12-25/DeleteOriginEndpoint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediapackagev2-2022-12-25/DeleteOriginEndpoint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediapackagev2-2022-12-25/DeleteOriginEndpoint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediapackagev2-2022-12-25/DeleteOriginEndpoint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediapackagev2-2022-12-25/DeleteOriginEndpoint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediapackagev2-2022-12-25/DeleteOriginEndpoint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediapackagev2-2022-12-25/DeleteOriginEndpoint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediapackagev2-2022-12-25/DeleteOriginEndpoint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediapackagev2-2022-12-25/DeleteOriginEndpoint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediapackagev2-2022-12-25/DeleteOriginEndpoint) 

# DeleteOriginEndpointPolicy


Delete an origin endpoint policy.

## Request Syntax


```
DELETE /channelGroup/ChannelGroupName/channel/ChannelName/originEndpoint/OriginEndpointName/policy HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ChannelGroupName](#API_DeleteOriginEndpointPolicy_RequestSyntax) **   <a name="mediapackage-DeleteOriginEndpointPolicy-request-uri-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ChannelName](#API_DeleteOriginEndpointPolicy_RequestSyntax) **   <a name="mediapackage-DeleteOriginEndpointPolicy-request-uri-ChannelName"></a>
The name that describes the channel. The name is the primary identifier for the channel, and must be unique for your account in the AWS Region and channel group.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [OriginEndpointName](#API_DeleteOriginEndpointPolicy_RequestSyntax) **   <a name="mediapackage-DeleteOriginEndpointPolicy-request-uri-OriginEndpointName"></a>
The name that describes the origin endpoint. The name is the primary identifier for the origin endpoint, and and must be unique for your account in the AWS Region and channel.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied because either you don't have permissions to perform the requested operation or MediaPackage is getting throttling errors with CDN authorization. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access Management in the IAM User Guide. Or, if you're using CDN authorization, you will receive this exception if MediaPackage receives a throttling error from Secrets Manager.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting this resource can cause an inconsistent state.    
 ** ConflictExceptionType **   
The type of ConflictException.
HTTP Status Code: 409

 ** InternalServerException **   
Indicates that an error from the service occurred while trying to process a request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request throughput limit was exceeded.  
HTTP Status Code: 429

 ** ValidationException **   
The input failed to meet the constraints specified by the AWS service.    
 ** ValidationExceptionType **   
The type of ValidationException.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediapackagev2-2022-12-25/DeleteOriginEndpointPolicy) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediapackagev2-2022-12-25/DeleteOriginEndpointPolicy) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediapackagev2-2022-12-25/DeleteOriginEndpointPolicy) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediapackagev2-2022-12-25/DeleteOriginEndpointPolicy) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediapackagev2-2022-12-25/DeleteOriginEndpointPolicy) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediapackagev2-2022-12-25/DeleteOriginEndpointPolicy) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediapackagev2-2022-12-25/DeleteOriginEndpointPolicy) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediapackagev2-2022-12-25/DeleteOriginEndpointPolicy) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediapackagev2-2022-12-25/DeleteOriginEndpointPolicy) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediapackagev2-2022-12-25/DeleteOriginEndpointPolicy) 

# GetChannel


Retrieves the specified channel that's configured in AWS Elemental MediaPackage.

## Request Syntax


```
GET /channelGroup/ChannelGroupName/channel/ChannelName/ HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ChannelGroupName](#API_GetChannel_RequestSyntax) **   <a name="mediapackage-GetChannel-request-uri-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ChannelName](#API_GetChannel_RequestSyntax) **   <a name="mediapackage-GetChannel-request-uri-ChannelName"></a>
The name that describes the channel. The name is the primary identifier for the channel, and must be unique for your account in the AWS Region and channel group.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "Arn": "string",
   "ChannelGroupName": "string",
   "ChannelName": "string",
   "CreatedAt": number,
   "Description": "string",
   "ETag": "string",
   "IngestEndpoints": [ 
      { 
         "Id": "string",
         "Url": "string"
      }
   ],
   "InputSwitchConfiguration": { 
      "MQCSInputSwitching": boolean,
      "PreferredInput": number
   },
   "InputType": "string",
   "ModifiedAt": number,
   "OutputHeaderConfiguration": { 
      "PublishMQCS": boolean
   },
   "ResetAt": number,
   "Tags": { 
      "string" : "string" 
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Arn](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-Arn"></a>
The Amazon Resource Name (ARN) associated with the resource.  
Type: String

 ** [ChannelGroupName](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Type: String

 ** [ChannelName](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-ChannelName"></a>
The name that describes the channel. The name is the primary identifier for the channel, and must be unique for your account in the AWS Region and channel group.  
Type: String

 ** [CreatedAt](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-CreatedAt"></a>
The date and time the channel was created.  
Type: Timestamp

 ** [Description](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-Description"></a>
The description for your channel.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.

 ** [ETag](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-ETag"></a>
The current Entity Tag (ETag) associated with this resource. The entity tag can be used to safely make concurrent updates to the resource.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[\S]+` 

 ** [IngestEndpoints](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-IngestEndpoints"></a>
The list of ingest endpoints.  
Type: Array of [IngestEndpoint](API_IngestEndpoint.md) objects

 ** [InputSwitchConfiguration](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-InputSwitchConfiguration"></a>
The configuration for input switching based on the media quality confidence score (MQCS) as provided from AWS Elemental MediaLive. This setting is valid only when `InputType` is `CMAF`.  
Type: [InputSwitchConfiguration](API_InputSwitchConfiguration.md) object

 ** [InputType](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-InputType"></a>
The input type will be an immutable field which will be used to define whether the channel will allow CMAF ingest or HLS ingest. If unprovided, it will default to HLS to preserve current behavior.  
The allowed values are:  
+  `HLS` - The HLS streaming specification (which defines M3U8 manifests and TS segments).
+  `CMAF` - The DASH-IF CMAF Ingest specification (which defines CMAF segments with optional DASH manifests).
Type: String  
Valid Values: `HLS | CMAF` 

 ** [ModifiedAt](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-ModifiedAt"></a>
The date and time the channel was modified.  
Type: Timestamp

 ** [OutputHeaderConfiguration](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-OutputHeaderConfiguration"></a>
The settings for what common media server data (CMSD) headers AWS Elemental MediaPackage includes in responses to the CDN. This setting is valid only when `InputType` is `CMAF`.  
Type: [OutputHeaderConfiguration](API_OutputHeaderConfiguration.md) object

 ** [ResetAt](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-ResetAt"></a>
The time that the channel was last reset.  
Type: Timestamp

 ** [Tags](#API_GetChannel_ResponseSyntax) **   <a name="mediapackage-GetChannel-response-Tags"></a>
The comma-separated list of tag key:value pairs assigned to the channel.  
Type: String to string map

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied because either you don't have permissions to perform the requested operation or MediaPackage is getting throttling errors with CDN authorization. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access Management in the IAM User Guide. Or, if you're using CDN authorization, you will receive this exception if MediaPackage receives a throttling error from Secrets Manager.  
HTTP Status Code: 403

 ** InternalServerException **   
Indicates that an error from the service occurred while trying to process a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource doesn't exist.    
 ** ResourceTypeNotFound **   
The specified resource type wasn't found.
HTTP Status Code: 404

 ** ThrottlingException **   
The request throughput limit was exceeded.  
HTTP Status Code: 429

 ** ValidationException **   
The input failed to meet the constraints specified by the AWS service.    
 ** ValidationExceptionType **   
The type of ValidationException.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediapackagev2-2022-12-25/GetChannel) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediapackagev2-2022-12-25/GetChannel) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediapackagev2-2022-12-25/GetChannel) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediapackagev2-2022-12-25/GetChannel) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediapackagev2-2022-12-25/GetChannel) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediapackagev2-2022-12-25/GetChannel) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediapackagev2-2022-12-25/GetChannel) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediapackagev2-2022-12-25/GetChannel) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediapackagev2-2022-12-25/GetChannel) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediapackagev2-2022-12-25/GetChannel) 

# GetChannelGroup


Retrieves the specified channel group that's configured in AWS Elemental MediaPackage.

## Request Syntax


```
GET /channelGroup/ChannelGroupName HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ChannelGroupName](#API_GetChannelGroup_RequestSyntax) **   <a name="mediapackage-GetChannelGroup-request-uri-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "Arn": "string",
   "ChannelGroupName": "string",
   "CreatedAt": number,
   "Description": "string",
   "EgressDomain": "string",
   "ETag": "string",
   "ModifiedAt": number,
   "tags": { 
      "string" : "string" 
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Arn](#API_GetChannelGroup_ResponseSyntax) **   <a name="mediapackage-GetChannelGroup-response-Arn"></a>
The Amazon Resource Name (ARN) associated with the resource.  
Type: String

 ** [ChannelGroupName](#API_GetChannelGroup_ResponseSyntax) **   <a name="mediapackage-GetChannelGroup-response-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Type: String

 ** [CreatedAt](#API_GetChannelGroup_ResponseSyntax) **   <a name="mediapackage-GetChannelGroup-response-CreatedAt"></a>
The date and time the channel group was created.  
Type: Timestamp

 ** [Description](#API_GetChannelGroup_ResponseSyntax) **   <a name="mediapackage-GetChannelGroup-response-Description"></a>
The description for your channel group.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.

 ** [EgressDomain](#API_GetChannelGroup_ResponseSyntax) **   <a name="mediapackage-GetChannelGroup-response-EgressDomain"></a>
The output domain where the source stream should be sent. Integrate the domain with a downstream CDN (such as Amazon CloudFront) or playback device.  
Type: String

 ** [ETag](#API_GetChannelGroup_ResponseSyntax) **   <a name="mediapackage-GetChannelGroup-response-ETag"></a>
The current Entity Tag (ETag) associated with this resource. The entity tag can be used to safely make concurrent updates to the resource.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[\S]+` 

 ** [ModifiedAt](#API_GetChannelGroup_ResponseSyntax) **   <a name="mediapackage-GetChannelGroup-response-ModifiedAt"></a>
The date and time the channel group was modified.  
Type: Timestamp

 ** [tags](#API_GetChannelGroup_ResponseSyntax) **   <a name="mediapackage-GetChannelGroup-response-tags"></a>
The comma-separated list of tag key:value pairs assigned to the channel group.  
Type: String to string map

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Access is denied because either you don't have permissions to perform the requested operation or MediaPackage is getting throttling errors with CDN authorization. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access Management in the IAM User Guide. Or, if you're using CDN authorization, you will receive this exception if MediaPackage receives a throttling error from Secrets Manager.  
HTTP Status Code: 403

 ** InternalServerException **   
Indicates that an error from the service occurred while trying to process a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource doesn't exist.    
 ** ResourceTypeNotFound **   
The specified resource type wasn't found.
HTTP Status Code: 404

 ** ThrottlingException **   
The request throughput limit was exceeded.  
HTTP Status Code: 429

 ** ValidationException **   
The input failed to meet the constraints specified by the AWS service.    
 ** ValidationExceptionType **   
The type of ValidationException.
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mediapackagev2-2022-12-25/GetChannelGroup) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mediapackagev2-2022-12-25/GetChannelGroup) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mediapackagev2-2022-12-25/GetChannelGroup) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mediapackagev2-2022-12-25/GetChannelGroup) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mediapackagev2-2022-12-25/GetChannelGroup) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mediapackagev2-2022-12-25/GetChannelGroup) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mediapackagev2-2022-12-25/GetChannelGroup) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mediapackagev2-2022-12-25/GetChannelGroup) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mediapackagev2-2022-12-25/GetChannelGroup) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mediapackagev2-2022-12-25/GetChannelGroup) 

# GetChannelPolicy


Retrieves the specified channel policy that's configured in AWS Elemental MediaPackage. With policies, you can specify who has access to AWS resources and what actions they can perform on those resources.

## Request Syntax


```
GET /channelGroup/ChannelGroupName/channel/ChannelName/policy HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [ChannelGroupName](#API_GetChannelPolicy_RequestSyntax) **   <a name="mediapackage-GetChannelPolicy-request-uri-ChannelGroupName"></a>
The name that describes the channel group. The name is the primary identifier for the channel group, and must be unique for your account in the AWS Region.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

 ** [ChannelName](#API_GetChannelPolicy_RequestSyntax) **   <a name="mediapackage-GetChannelPolicy-request-uri-ChannelName"></a>
The name that describes the channel. The name is the primary identifier for the channel, and must be unique for your account in the AWS Region and channel group.   
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[a-zA-Z0-9_-]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "ChannelGroupName": "string",
   "ChannelName": "string",
   "Policy": "string"
}
```

## Response Elements


[...]
